## whatmaps 0.0.8

=== debian/changelog ===
whatmaps (0.0.8-5) unstable; urgency=medium

  * [617fed4] Add sv Debconf translation.  Thanks to Martin Bagge (Closes:
    #761973)
  * [1a7a8b9] Fix smoketest. The name of the libvirt service changed

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Sep 2014 13:42:48 +0200

whatmaps (0.0.8-4) unstable; urgency=medium

  * [47c0bfa] Don't create backup copies of 20services
    and remove them if existent
    Thanks to Johannes Hubertz for pointing this out

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Sep 2014 10:02:39 +0200

whatmaps (0.0.8-3) unstable; urgency=medium

  * [ac2e64b] Nicer wording for debconf template.
    Thanks to Justin B Rye and Christian PERRIER (Closes: #756584)
  * [4c73129] Add ru debconf translation.
    Thanks to Yuri Kozlov (Closes: #758801)
  * [7a4a474] Update debconf template
  * [c9e74f8] Add da Debconf translation.
    Thanks to Joe Dalton (Closes: #758841)
  * [f655b57] Add pt Debconf translation.
    Thanks to Paulo Tomé (Closes: #759167)
  * [6a78260] Add de Debconf translation.
    Thanks to Chris Leick (Closes: #759365)
  * [732e071] Add cs Debconf translation.
    Thanks to Michal Simunek (Closes: #760154)
  * [620102c] Add pl Debconf translation.
    Thanks to Michał Kułach (Closes: #760181)
  * [2fd0b79] Add fr Debconf translation.
    Thanks to jean-pierre giraud (Closes: #760264)
  * [381411c] Add pt_BR Debconf translation.
    Thanks to Adriano Rafael Gomes (Closes: #760296)
  * [62fb090] Add ja Debconf translation.
    Thanks to victory (Closes: #760367)
  * [10377a5] Add it Debconf translation.
    Thanks to Beatrice Torracca (Closes: #760398)
  * [913aa63] Add es Debconf translation.
    Thanks to Matias A. Bellone (Closes: #760617)
  * [1c5d5f6] Reformat Debconf translations.
    Thanks to Christian PERRIER (Closes: #756584)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Sep 2014 09:12:18 +0200

whatmaps (0.0.8-2) unstable; urgency=medium

  * [cca6b44] Add debconf question to enable automatic service restarts

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Jul 2014 13:10:50 +0200

whatmaps (0.0.8-1) unstable; urgency=medium

  * [ac817c1] Print userfriendly message if not root (Closes: #751088)
  * [c6168df] Add upstream-branch to gbp.conf
  * [e1b9e7f] pkg_services: Check if a service is actually installed.
  * [f758314] Add systemd support
  * [d6dba76] Add simple autopkgtest
  * [e048b5f] Abort early if we found a match. This speeds up the output and
    avoids duplicate printouts

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Jul 2014 16:58:19 +0200

whatmaps (0.0.7-1) unstable; urgency=medium

  [ Justin B Rye ]
  * [d10e47c] Improve package description (Closes: #747147)

  [ Guido Günther ]
  * New upstream version 0.0.7
  * [acbf3dd] Depend on python-pkg-resources needed for the entry point
  * [a049392] Drop patches applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Jun 2014 19:42:09 +0200

whatmaps (0.0.6-2) unstable; urgency=medium

  * [b0fe055] Add missing import

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 May 2014 11:29:16 +0200

whatmaps (0.0.6-1) unstable; urgency=medium

  * New upstream version 0.0.6
  * [3029ab6] Make whatmaps a non native package.  It's meant for Debian
    mostly but can be used on RPM based distros as well.
  * [f0be66f] Drop README.Debian since it doesn't carry additional info
    (Closes: #746623)
  * [e98bdde] Build-depend on python-mock

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 May 2014 17:40:32 +0200

whatmaps (0.0.5) unstable; urgency=medium

  * [8d0efd3] Improve description
  * [ce27981] Add README.Debian that explains howto enable apt integration
  * [1f9bde4] ship README
  * [e415fe7] Ship manpage
  * [b3e2fef] Bump standards version to 3.9.5
  * [38be6c5] Run tests during build
  * New version 0.0.5 (Closes: #745133)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Apr 2014 15:16:38 +0200

whatmaps (0.0.3~bpo70+1) wheezy-backports; urgency=medium

  * [18158e1] Adapt so Squeeze's apache 2.2 package
  * [3fe7094] Check for deleted binaries before trying to stat them
  * [0fa3c86] Skip already terminated processes. Thanks to Christop Göhre for
    pointing this out
  * [97de504] Remove duplicate detect_distro call
  * [c1eef79] Don't fail if lsb_release is missing
  * [d6b284e] Remove template from copyright

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Jan 2014 19:23:41 +0100

whatmaps (0.0.2) unstable; urgency=low

  * New upstream version:
      * Fix regex. The current one only matched one letter/number SO names.
  * [082b2ec] Build-depend on lsb-release so the apt configuration gets
    included
  * [a732594] Bump standards version
  * [9bbccc9] Adapt so Squeeze's apache 2.2 package
  * [47709f0] Fix grammar in description

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 13:30:06 +0200

whatmaps (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 May 2011 13:29:56 +0200

## whatmaps 0.0.13

=== requirements.txt ===
coverage>=2.85
flake8>=3
mock
nose>=0.11.1
nosexcover>=1.0.7

## whatmaps 0.0.9

=== debian/changelog ===
whatmaps (0.0.9-1+deb8u1) stable-proposed-updates; urgency=medium

  * [920f1dd] Respect jessie apache package rename (Closes: #791569)
  * [7c61790] Adjust gbp.conf for Jessie

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Feb 2016 08:36:38 +0100

whatmaps (0.0.9-1) unstable; urgency=medium

  * New upstream version:
      * Install apt.conf configuration on derivatives too (Closes: #761054)
      * Fix service detection with newer systemd (as in Debian Jessie)
      * Make logging consistent
  * [36fd4ee] Avoid error message on missing file.
    Don't try to get the md5sum of a nonexistent file to avoid
        md5sum: /etc/apt/apt.conf.d/20servicese: No such file or directory
    which is confusing.
  * Drop all patches merged upstream

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Dec 2014 15:04:26 +0100

=== debian/control ===
Source: whatmaps
Section: admin
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9~), lsb-release,
  python-all (>> 2.6.6-3~),
  python-mock,
  python-nose,
  python-setuptools,
Standards-Version: 3.9.5
Homepage: https://honk.sigxcpu.org/piki/projects/whatmaps
Vcs-Git: git://honk.sigxcpu.org/git/whatmaps.git/
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest

Package: whatmaps
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, lsb-release,
 python-apt, python-pkg-resources
Description: tool to find processes mapping shared objects
 After package upgrades (especially security fixes), services using a
 shared library need to be restarted to make use of the updated version.
 .
 Whatmaps looks for shared objects provided by upgraded packages, lists any
 running processes that map them, and can integrate with APT to restart
 services as needed after security upgrades.

## whatmaps 0.0.10

=== debian/changelog ===
whatmaps (0.0.10-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/import-os.patch: Import os in setup.py to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Jun 2015 22:30:16 -0700

whatmaps (0.0.10-1) unstable; urgency=medium

  * New upstream version 0.0.10:
      * Add mapping for libvirt-daemon -> libvirtd. Needed for the sysv init
        based systems
      * Silence output if package list is empty
      * Don't print overly long error message In the systemd case
      * Fix assertRaises invocations. (Closes: #790372)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jun 2015 19:18:02 +0200

whatmaps (0.0.9-1ubuntu1) vivid; urgency=medium

  * debian/patches/import-os.patch: Import os in setup.py to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 23 Feb 2015 17:45:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: whatmaps
 Section: admin
 Priority: extra
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9~), lsb-release,
   python-all (>> 2.6.6-3~),
   python-mock,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_installman:
	pod2man man/whatmaps.pod man/whatmaps.8
	dh_installman man/whatmaps.8

override_dh_auto_test:
	python setup.py nosetests
	dh_auto_test

override_dh_autoclean:
	rm -f man/whatmaps.8
	dh_autoclean

=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root
Depends: libvirt-bin, @

## whatmaps 0.0.12

=== debian/changelog ===
whatmaps (0.0.12-3) unstable; urgency=medium

  * [f2095d5] Fix vcs-git url
  * [eeaefc0] Build-depend on dh-python (Closes: #896742)
  * [ddb6eda] Bump standards version to 4.1.4
  * [c12ed6b] gbp.conf: set id-length to have git commit ids in the changelog

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 May 2018 09:42:16 +0200

whatmaps (0.0.12-2) unstable; urgency=medium

  * [affd69d] Simplify smoke test

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Oct 2016 16:16:04 +0200

whatmaps (0.0.12-1) unstable; urgency=medium

  * New upstream version 0.0.12
    * [73afbae] systemd: Shorten error message if proess is from a user
      session.
    * [0bcd51e] Don't bail out if we can't find a package in apt's cache.
      Rather warn about it and continue so we get restarts for all other
      packages.
    * [9cb7517] Don't abort if we can't parse a package but process the other
      ones.
    * [48651cd] Filter out user@<uid>.service since this aborts user sessions
      otherwise (Closes: #833120)
  * [59180ff] It's dh_auto_clean not dh_autoclean.
    Thanks to Chris Lamb (Closes: #834665)
  * [ead569e] Use a simpler smoke test.
  * [eeb2ed4] Add nl debconf translation.
    Thanks to Frans Spiesschaert (Closes: #766529)
  * [ddb53e0] Drop now superfluous XS-Testsuite
  * [e9ca457] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Sep 2016 13:25:26 +0200

whatmaps (0.0.11~git0.4e704c-1) experimental; urgency=medium

  [ Santiago Garcia Mantinan ]
  * [1b59d85] Respect jessie apache package rename (Closes: #791569)

  [ Guido Günther ]
  * Upload to experimental
  * New upstream snapshot with python3 support
  * [da0a930] Switch packaging to python3

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Feb 2016 20:04:15 +0100

=== debian/control ===
Source: whatmaps
Section: admin
Priority: extra
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
  debhelper (>= 9~),
  dh-python,
  lsb-release,
  python3,
  python3-mock,
  python3-nose,
  python3-setuptools,
Standards-Version: 4.1.4
Homepage: https://honk.sigxcpu.org/piki/projects/whatmaps
Vcs-Git: https://git.sigxcpu.org/cgit/whatmaps/
X-Python3-Version: >= 3.4

Package: whatmaps
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, lsb-release,
 python3-apt, python3-pkg-resources
Description: tool to find processes mapping shared objects
 After package upgrades (especially security fixes), services using a
 shared library need to be restarted to make use of the updated version.
 .
 Whatmaps looks for shared objects provided by upgraded packages, lists any
 running processes that map them, and can integrate with APT to restart
 services as needed after security upgrades.

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,16 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installman:
 	pod2man man/whatmaps.pod man/whatmaps.8
 	dh_installman man/whatmaps.8
 
 override_dh_auto_test:
-	python setup.py nosetests
+	python3 setup.py nosetests
 	dh_auto_test
 
-override_dh_autoclean:
+override_dh_auto_clean:
 	rm -f man/whatmaps.8
-	dh_autoclean
+	dh_auto_clean

## whatmaps 0.0.13

=== debian/changelog ===
whatmaps (0.0.13-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * [365cae4] distro: Discard stderr.
    Otherwise it can mess up our parsing (Closes: #1027317)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 Dec 2022 13:28:01 +0100

whatmaps (0.0.12-4) unstable; urgency=medium

  * [3030430] d/postinst: Don't fail in container without apt
    (Closes: #1020895)
  * [dbd0843] Bump debhelper compat to 13
  * [b2b1e7b] d/control: Drop X-Python3-Version
  * [de2a09d] Bump standards version to 4.6.1.
    No changes needed
  * [b0f56a6] Drop unused pyversions.
    Thanks linitian
  * [75a2d0b] d/rules: Use dh_execute_after.
    This ensures that DEB_BUILD_OPTIONS=nocheck gets honored automatically
  * [6b68c87] d/control: Switch priority to optional.
    It's prefereed over `extra`

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Oct 2022 09:59:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: whatmaps
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
-  debhelper (>= 9~),
+  debhelper-compat (= 13),
   dh-python,
   lsb-release,
   python3,
   python3-mock,
   python3-nose,
   python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: https://honk.sigxcpu.org/piki/projects/whatmaps
 Vcs-Git: https://git.sigxcpu.org/cgit/whatmaps/
-X-Python3-Version: >= 3.4
 
 Package: whatmaps
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 	pod2man man/whatmaps.pod man/whatmaps.8
 	dh_installman man/whatmaps.8
 
-override_dh_auto_test:
+execute_after_dh_auto_test:
 	python3 setup.py nosetests
 	dh_auto_test
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	rm -f man/whatmaps.8
 	dh_auto_clean

## whatmaps 0.0.14

=== Makefile ===
check:
	flake8
	nosetests3

=== debian/changelog ===
whatmaps (0.0.14-2) unstable; urgency=medium

  * [4c0fcfa] Use pytest instead of deprecated nose.
    Thanks to Alexandre Detiste (Closes: #1018664)
  * [624430c] Drop python3-mock from dependencies.
    We use the mocks provided by python itself

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Jul 2024 13:24:49 +0200

whatmaps (0.0.14-1) unstable; urgency=medium

  * New upstream version
    (Closes: #1072899, #1074668)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jul 2024 12:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
   dh-python,
   lsb-release,
   python3,
-  python3-mock,
-  python3-nose,
+  python3-pytest,
   python3-setuptools,
 Standards-Version: 4.6.1
 Homepage: https://honk.sigxcpu.org/piki/projects/whatmaps

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh_installman man/whatmaps.8
 
 execute_after_dh_auto_test:
-	python3 setup.py nosetests
+	pytest
 	dh_auto_test
 
 execute_after_dh_auto_clean:
